<?php
/**
*  Google Fonts Functions
*
* @package kheera	
*/
	
	
	
	/**
	 * create font stylesheet query
	 *
	 * @package kheera	1.0.0
	 */
	function kheera_google_fonts_query($fonts ,$language){ //fonts array as input param
		
		// used to generate a string like ?family=Font1+Font1|Font2+Font2&subset=CharSet
		$font_query = '?family=';
		
		$first_font = true;
		foreach($fonts as $key => $value){
			$font = explode(',',$value);
			if($first_font){
				$font_query .= str_replace(' ','+',$font[0]); 
				$first_font = false;
			}
			else{
				//replacing | with %7C for HTML5 Validation
				$font_query .= '%7C'.str_replace(' ','+',$font[0]); 
			}	
		}	
		
		$font_query .= '&amp;subset='.$language;
		return $font_query;
	}	
	
	
	/**
	 * create font family css
	 *
	 * @package kheera	1.0.0
	 */
	function kheera_google_fonts_css($font){ // single font as input param
		
		//used to generate css font family style   font-family:'Font Name',Font Family;
		$css_rule = 'font-family:';
		$font = explode(',',$font);
		$css_rule .= ' "'.$font[0].'",'.$font[1].' ;';
		return $css_rule;
	}

	
	/**
	 * google fonts array
	 *
	 * @package kheera	1.0.0
	 */
	function kheera_google_fonts_array()
	{
		return  array(
		  //option value string							option title string
		 'Abel,sans-serif'							=>   'Abel'                     ,
		 'Abril Fatface,cursive'                    =>   'Abril Fatface'            ,
		 'Acme,sans-serif'                          =>   'Acme'                     ,
		 'Alegreya,serif'                           =>   'Alegreya'                 ,
		 'Alegreya Sans,sans-serif'                 =>   'Alegreya Sans'            ,
		 'Amatic SC,cursive'                        =>   'Amatic SC'                ,
		 'Anton,sans-serif'                         =>   'Anton'                    ,
		 'Architects Daughter,cursive'              =>   'Architects Daughter'      ,
		 'Archivo Black,sans-serif'	                =>   'Archivo Black'	        ,
		 'Archivo Narrow,sans-serif'                =>   'Archivo Narrow'           ,
		 'Arimo,sans-serif'                         =>   'Arimo'                    ,
		 'Artifika,serif'                           =>   'Artifika'                 ,
		 'Arvo,serif'                               =>   'Arvo'                     ,
		 'Asap,sans-serif'                          =>   'Asap'                     ,
		 'Assistant,sans-serif'                     =>   'Assistant'                ,
		 'Bitter,serif'                             =>   'Bitter'                   ,
		 'Bree Serif,serif'                         =>   'Bree Serif'               ,
		 'Bubbler One,sans-serif'                   =>   'Bubbler One'              ,
		 'Cabin,sans-serif'                         =>   'Cabin'                    ,
		 'Catamaran,sans-serif'                     =>   'Catamaran'                ,
		 'Cinzel,serif'                             =>   'Cinzel'                   ,
		 'Comfortaa,cursive'                        =>   'Comfortaa'                ,
		 'Crete Round,serif'                        =>   'Crete Round'              ,
		 'Crimson Text,serif'                       =>   'Crimson Text'             ,
		 'Cuprum,sans-serif'                        =>   'Cuprum'                   ,
		 'Dancing Script,cursive'                   =>   'Dancing Script'           ,
		 'Dosis,sans-serif'                         =>   'Dosis'                    ,
		 'Droid Sans,sans-serif'                    =>   'Droid Sans'               ,
		 'Droid Serif,serif'                        =>   'Droid Serif'              ,
		 'EB Garamond,serif'                        =>   'EB Garamond'              ,
		 'Exo,sans-serif'                           =>   'Exo'                      ,
		 'Exo 2,sans-serif'                         =>   'Exo 2'                    ,
		 'Fira Sans,sans-serif'                     =>   'Fira Sans'                ,
		 'Fjalla One,sans-serif'                    =>   'Fjalla One'               ,
		 'Francois One,sans-serif'                  =>   'Francois One'             ,
		 'Gloria Hallelujah,cursive'                =>   'Gloria Hallelujah'        ,
		 'Hind,sans-serif'                          =>   'Hind'                     ,
		 'Inconsolata,monospace'                    =>   'Inconsolata'              ,
		 'Indie Flower,cursive'                     =>   'Indie Flower'             ,
		 'Jaldi,sans-serif'                         =>   'Jaldi'                    ,
		 'Josefin Sans,sans-serif'                  =>   'Josefin Sans'             ,
		 'Josefin Slab,serif'                       =>   'Josefin Slab'             ,
		 'Karla,sans-serif'                         =>   'Karla'                    ,
		 'Khula,sans-serif'                         =>   'Khula'                    ,
		 'Lato,sans-serif'                          =>   'Lato'                     ,
		 'Libre Baskerville,serif'                  =>   'Libre Baskerville'        ,
		 'Libre Franklin,sans-serif'                =>   'Libre Franklin'           ,
		 'Lobster,cursive'                          =>   'Lobster'                  ,
		 'Lobster Two,cursive'                      =>   'Lobster Two'              ,
		 'Lora,serif'                               =>   'Lora'                     ,
		 'Maven Pro,sans-serif'                     =>   'Maven Pro'                ,
		 'Merriweather,serif'                       =>   'Merriweather'             ,
		 'Merriweather Sans,sans-serif'             =>   'Merriweather Sans'        ,
		 'Modak,cursive'                            =>   'Modak'                    ,
		 'Mogra,cursive'		                    =>   'Mogra'		            ,
		 'Montserrat,sans-serif'                    =>   'Montserrat'               ,
		 'Muli,sans-serif'                          =>   'Muli'                     ,
		 'News Cycle,sans-serif'                    =>   'News Cycle'               ,
		 'Noto Sans,sans-serif'                     =>   'Noto Sans'                ,
		 'Noto Serif,serif'                         =>   'Noto Serif'               ,
		 'Nunito,sans-serif'                        =>   'Nunito'                   ,
		 'Open Sans,sans-serif'                     =>   'Open Sans'                ,
		 'Open Sans Condensed,sans-serif'           =>   'Open Sans Condensed'      ,
		 'Orbitron,sans-serif'                      =>   'Orbitron'                 ,
		 'Oswald,sans-serif'                        =>   'Oswald'                   ,
		 'Overpass,sans-serif'                      =>   'Overpass'                 ,
		 'Oxygen,sans-serif'                        =>   'Oxygen'                   ,
		 'PT Sans,sans-serif'                       =>   'PT Sans'                  ,
		 'PT Sans Caption,sans-serif'               =>   'PT Sans Caption'          ,
		 'PT Sans Narrow,sans-serif'                =>   'PT Sans Narrow'           ,
		 'PT Serif,serif'                           =>   'PT Serif'                 ,
		 'Pacifico,cursive'                         =>   'Pacifico'                 ,
		 'Palanquin Dark,sans-serif'                =>   'Palanquin Dark'           ,
		 'Passion One,cursive'                      =>   'Passion One'              ,
		 'Pathway Gothic One,sans-serif'            =>   'Pathway Gothic One'       ,
		 'Patrick Hand SC,cursive'                  =>   'Patrick Hand SC'          ,
		 'Patua One,cursive'                        =>   'Patua One'                ,
		 'Play,sans-serif'                          =>   'Play'                     ,
		 'Playfair Display,serif'                   =>   'Playfair Display'         ,
		 'Poppins,sans-serif'                       =>   'Poppins'                  ,
		 'Questrial,sans-serif'                     =>   'Questrial'                ,
		 'Quicksand,sans-serif'                     =>   'Quicksand'                ,
		 'Raleway,sans-serif'                       =>   'Raleway'                  ,
		 'Revalia,cursive'                          =>   'Revalia'                  ,
		 'Righteous,cursive'                        =>   'Righteous'                ,
		 'Roboto,sans-serif'                        =>   'Roboto'                   ,
		 'Roboto Condensed,sans-serif'              =>   'Roboto Condensed'         ,
		 'Roboto Mono,monospace'                    =>   'Roboto Mono'              ,
		 'Roboto Slab,serif'                        =>   'Roboto Slab'              ,
		 'Rokkitt,serif'                            =>   'Rokkitt'                  ,
		 'Ropa Sans,sans-serif'                     =>   'Ropa Sans'                ,
		 'Rubik,sans-serif'                         =>   'Rubik'                    ,
		 'Shadows Into Light,cursive'               =>   'Shadows Into Light'       ,
		 'Signika,sans-serif'                       =>   'Signika'                  ,
		 'Slabo 27px,serif'                         =>   'Slabo 27px'               ,
		 'Source Code Pro,monospace'                =>   'Source Code Pro'          ,
		 'Source Sans Pro,sans-serif'               =>   'Source Sans Pro'          ,
		 'Source Serif Pro,serif'                   =>   'Source Serif Pro'         ,
		 'Titillium Web,sans-serif'                 =>   'Titillium Web'            ,
		 'Ubuntu,sans-serif'                        =>   'Ubuntu'                   ,
		 'Ubuntu Condensed,sans-serif'              =>   'Ubuntu Condensed'         ,
		 'Varela Round,sans-serif'                  =>   'Varela Round'             ,
		 'Vibur,cursive'                            =>   'Vibur'                    ,
		 'Vollkorn,serif'                           =>   'Vollkorn'                 ,
		 'Work Sans,sans-serif'                     =>   'Work Sans'                ,
		 'Yanone Kaffeesatz,sans-serif'             =>   'Yanone Kaffeesatz'        ,
		 'ABeeZee,sans-serif'                       =>   'ABeeZee'                  ,
		 'Actor,sans-serif'                         =>   'Actor'                    ,
		 'Adamina,serif'                            =>   'Adamina'                  ,
		 'Aladin,cursive'                           =>   'Aladin'                   ,
		 'Alfa Slab One,cursive'                    =>   'Alfa Slab One'            ,
		 'Alice,serif'                              =>   'Alice'                    ,
		 'Amaranth,sans-serif'                      =>   'Amaranth'                 ,
		 'Amiri,serif'                              =>   'Amiri'                    ,
		 'Antic Slab,serif'                         =>   'Antic Slab'               ,
		 'Arapey,serif'                             =>   'Arapey'                   ,
		 'Armata,sans-serif'                        =>   'Armata'                   ,
		 'Audiowide,cursive'                        =>   'Audiowide'                ,
		 'Average,serif'                            =>   'Average'                  ,
		 'Bad Script,cursive'                       =>   'Bad Script'               ,
		 'Baloo,cursive'                            =>   'Baloo'                    ,
		 'Baloo Bhaina,cursive'                     =>   'Baloo Bhaina'             ,
		 'BenchNine,sans-serif'                     =>   'BenchNine'                ,
		 'Bevan,cursive'                            =>   'Bevan'                    ,
		 'Boogaloo,cursive'                         =>   'Boogaloo'                 ,
		 'Cabin Condensed,sans-serif'               =>   'Cabin Condensed'          ,
		 'Cairo,sans-serif'                         =>   'Cairo'                    ,
		 'Calligraffitti,cursive'                   =>   'Calligraffitti'           ,
		 'Candal,sans-serif'                        =>   'Candal'                   ,
		 'Cantarell,sans-serif'                     =>   'Cantarell'                ,
		 'Cardo,serif'                              =>   'Cardo'                    ,
		 'Caveat,cursive'                           =>   'Caveat'                   ,
		 'Changa,sans-serif'                        =>   'Changa'                   ,
		 'Chewy,cursive'                            =>   'Chewy'                    ,
		 'Coda,cursive'                             =>   'Coda'                     ,
		 'Coming Soon,cursive'                      =>   'Coming Soon'              ,
		 'Concert One,cursive'                      =>   'Concert One'              ,
		 'Cookie,cursive'                           =>   'Cookie'                   ,
		 'Copse,serif'                              =>   'Copse'                    ,
		 'Cormorant Garamond,serif'                 =>   'Cormorant Garamond'       ,
		 'Courgette,cursive'                        =>   'Courgette'                ,
		 'Covered By Your Grace,cursive'            =>   'Covered By Your Grace'    ,
		 'Damion,cursive'                           =>   'Damion'                   ,
		 'Days One,sans-serif'                      =>   'Days One'                 ,
		 'Didact Gothic,sans-serif'                 =>   'Didact Gothic'            ,
		 'Domine,serif'                             =>   'Domine'                   ,
		 'Droid Sans Mono,monospace'                =>   'Droid Sans Mono'          ,
		 'Economica,sans-serif'                     =>   'Economica'                ,
		 'Ek Mukta,sans-serif'                      =>   'Ek Mukta'                 ,
		 'El Messiri,sans-serif'                    =>   'El Messiri'               ,
		 'Frank Ruhl Libre,sans-serif'              =>   'Frank Ruhl Libre'         ,
		 'Fredoka One,cursive'                      =>   'Fredoka One'              ,
		 'Gentium Basic,serif'                      =>   'Gentium Basic'            ,
		 'Gentium Book Basic,serif'                 =>   'Gentium Book Basic'       ,
		 'Glegoo,serif'                             =>   'Glegoo'                   ,
		 'Great Vibes,cursive'                      =>   'Great Vibes'              ,
		 'Gudea,sans-serif'                         =>   'Gudea'                    ,
		 'Hammersmith One,sans-serif'               =>   'Hammersmith One'          ,
		 'Handlee,cursive'                          =>   'Handlee'                  ,
		 'Heebo,sans-serif'                         =>   'Heebo'                    ,
		 'Hind Siliguri,sans-serif'                 =>   'Hind Siliguri'            ,
		 'Homemade Apple,cursive'                   =>   'Homemade Apple'           ,
		 'Istok Web,sans-serif'                     =>   'Istok Web'                ,
		 'Julius Sans One,sans-serif'               =>   'Julius Sans One'          ,
		 'Jura,sans-serif'                          =>   'Jura'                     ,
		 'Kalam,cursive'                            =>   'Kalam'                    ,
		 'Kanit,sans-serif'                         =>   'Kanit'                    ,
		 'Kaushan Script,cursive'                   =>   'Kaushan Script'           ,
		 'Kdam Thmor,cursive'                       =>   'Kdam Thmor'               ,
		 'Khand,sans-serif'                         =>   'Khand'                    ,
		 'Kreon,serif'                              =>   'Kreon'                    ,
		 'Luckiest Guy,cursive'                     =>   'Luckiest Guy'             ,
		 'Marck Script,cursive'                     =>   'Marck Script'             ,
		 'Martel,serif'                             =>   'Martel'                   ,
		 'Monda,sans-serif'                         =>   'Monda'                    ,
		 'Neuton,serif'                             =>   'Neuton'                   ,
		 'Noticia Text,serif'                       =>   'Noticia Text'             ,
		 'Nunito Sans,sans-serif'                   =>   'Nunito Sans'              ,
		 'Old Standard TT,serif'                    =>   'Old Standard TT'          ,
		 'Patrick Hand,cursive'                     =>   'Patrick Hand'             ,
		 'Paytone One,sans-serif'                   =>   'Paytone One'              ,
		 'Permanent Marker,cursive'                 =>   'Permanent Marker'         ,
		 'Philosopher,sans-serif'                   =>   'Philosopher'              ,
		 'Playball,cursive'                         =>   'Playball'                 ,
		 'Playfair Display SC,serif'                =>   'Playfair Display SC'      ,
		 'Poiret One,cursive'                       =>   'Poiret One'               ,
		 'Pontano Sans,sans-serif'                  =>   'Pontano Sans'             ,
		 'Pragati Narrow,sans-serif'                =>   'Pragati Narrow'           ,
		 'Prompt,sans-serif'                        =>   'Prompt'                   ,
		 'Quattrocento,serif'					    =>   'Quattrocento'				,
		 'Quattrocento Sans,sans-serif'             =>   'Quattrocento Sans'        ,
		 'Rajdhani,sans-serif'                      =>   'Rajdhani'                 ,
		 'Rambla,sans-serif'                        =>   'Rambla'                   ,
		 'Rock Salt,cursive'                        =>   'Rock Salt'                ,
		 'Ruda,sans-serif'                          =>   'Ruda'                     ,
		 'Russo One,sans-serif'                     =>   'Russo One'                ,
		 'Sacramento,cursive'                       =>   'Sacramento'               ,
		 'Sanchez,serif'                            =>   'Sanchez'                  ,
		 'Sarala,sans-serif'                        =>   'Sarala'                   ,
		 'Satisfy,cursive'                          =>   'Satisfy'                  ,
		 'Shadows Into Light Two,cursive'           =>   'Shadows Into Light Two'   ,
		 'Share,cursive'                            =>   'Share'                    ,
		 'Shrikhand,cursive'                        =>   'Shrikhand'                ,
		 'Sigmar One,cursive'                       =>   'Sigmar One'               ,
		 'Signika Negative,sans-serif'              =>   'Signika Negative'         ,
		 'Sintony,sans-serif'                       =>   'Sintony'                  ,
		 'Sorts Mill Goudy,serif'                   =>   'Sorts Mill Goudy'         ,
		 'Tangerine,cursive'                        =>   'Tangerine'                ,
		 'Teko,sans-serif'                          =>   'Teko'                     ,
		 'Tinos,serif'                              =>   'Tinos'                    ,
		 'Ultra,serif'                              =>   'Ultra'                    ,
		 'Varela,sans-serif'                        =>   'Varela'                   ,
		 'Vidaloka,serif'                           =>   'Vidaloka'                 ,
		 'Volkhov,serif'                            =>   'Volkhov'                  ,
		 'Yantramanav,sans-serif'                   =>   'Yantramanav'              ,
		 'Yellowtail,cursive'                       =>   'Yellowtail'               ,
		 'Advent Pro,sans-serif'                    =>   'Advent Pro'               ,
		 'Aldrich,sans-serif'                       =>   'Aldrich'                  ,
		 'Alef,sans-serif'                          =>   'Alef'                     ,
		 'Alegreya Sans SC,sans-serif'              =>   'Alegreya Sans SC'         ,
		 'Alex Brush,cursive'                       =>   'Alex Brush'               ,
		 'Allerta,sans-serif'                       =>   'Allerta'                  ,
		 'Allerta Stencil,sans-serif'               =>   'Allerta Stencil'          ,
		 'Allura,cursive'                           =>   'Allura'                   ,
		 'Antic,sans-serif'                         =>   'Antic'                    ,
		 'Arima Madurai,cursive'                    =>   'Arima Madurai'            ,
		 'Bangers,cursive'                          =>   'Bangers'                  ,
		 'Basic,sans-serif'                         =>   'Basic'                    ,
		 'Bubblegum Sans,cursive'                   =>   'Bubblegum Sans'           ,
		 'Cabin Sketch,cursive'                     =>   'Cabin Sketch'             ,
		 'Cantata One,serif'                        =>   'Cantata One'              ,
		 'Carme,sans-serif'                         =>   'Carme'                    ,
		 'Ceviche One,cursive'                      =>   'Ceviche One'              ,
		 'Changa One,cursive'                       =>   'Changa One'               ,
		 'Cherry Cream Soda,cursive'                =>   'Cherry Cream Soda'        ,
		 'Chivo,sans-serif'                         =>   'Chivo'                    ,
		 'Clicker Script,cursive'                   =>   'Clicker Script'           ,
		 'Contrail One,cursive'                     =>   'Contrail One'             ,
		 'Convergence,sans-serif'                   =>   'Convergence'              ,
		 'Crushed,cursive'                          =>   'Crushed'                  ,
		 'Electrolize,sans-serif'                   =>   'Electrolize'              ,
		 'Enriqueta,serif'                          =>   'Enriqueta'                ,
		 'Fauna One,serif'                          =>   'Fauna One'                ,
		 'Forum,cursive'                            =>   'Forum'                    ,
		 'Freckle Face,cursive'                     =>   'Freckle Face'             ,
		 'Fugaz One,cursive'                        =>   'Fugaz One'                ,
		 'Gochi Hand,cursive'                       =>   'Gochi Hand'               ,
		 'Graduate,cursive'                         =>   'Graduate'                 ,
		 'Halant,serif'                             =>   'Halant'                   ,
		 'Hind Vadodara,sans-serif'                 =>   'Hind Vadodara'            ,
		 'Homenaje,sans-serif'                      =>   'Homenaje'                 ,
		 'Just Another Hand,cursive'                =>   'Just Another Hand'        ,
		 'Kameron,serif'                            =>   'Kameron'                  ,
		 'Limelight,cursive'                        =>   'Limelight'                ,
		 'Love Ya Like A Sister,cursive'            =>   'Love Ya Like A Sister'    ,
		 'Lusitana,serif'                           =>   'Lusitana'                 ,
		 'Lustria,serif'                            =>   'Lustria'                  ,
		 'Magra,sans-serif'                         =>   'Magra'                    ,
		 'Marcellus,serif'                          =>   'Marcellus'                ,
		 'Marcellus SC,serif'                       =>   'Marcellus SC'             ,
		 'Merienda,cursive'                         =>   'Merienda'                 ,
		 'Michroma,sans-serif'                      =>   'Michroma'                 ,
		 'Molengo,sans-serif'                       =>   'Molengo'                  ,
		 'Monoton,cursive'                          =>   'Monoton'                  ,
		 'Montserrat Alternates,sans-serif'         =>   'Montserrat Alternates'    ,
		 'Neucha,cursive'                           =>   'Neucha'                   ,
		 'Niconne,cursive'                          =>   'Niconne'                  ,
		 'Nixie One,cursive'                        =>   'Nixie One'                ,
		 'Nobile,sans-serif'                        =>   'Nobile'                   ,
		 'Nothing You Could Do,cursive'             =>   'Nothing You Could Do'     ,
		 'Oleo Script,cursive'                      =>   'Oleo Script'              ,
		 'Overlock,cursive'                         =>   'Overlock'                 ,
		 'PT Mono,monospace'                        =>   'PT Mono'                  ,
		 'PT Serif Caption,serif'                   =>   'PT Serif Caption'         ,
		 'Palanquin,sans-serif'                     =>   'Palanquin'                ,
		 'Parisienne,cursive'                       =>   'Parisienne'               ,
		 'Petit Formal Script,cursive'              =>   'Petit Formal Script'      ,
		 'Pinyon Script,cursive'                    =>   'Pinyon Script'            ,
		 'Prata,serif'                              =>   'Prata'                    ,
		 'Press Start 2P,cursive'                   =>   'Press Start 2P'           ,
		 'Quantico,sans-serif'                      =>   'Quantico'                 ,
		 'Rancho,cursive'                           =>   'Rancho'                   ,
		 'Reenie Beanie,cursive'                    =>   'Reenie Beanie'            ,
		 'Rochester,cursive'                        =>   'Rochester'                ,
		 'Rufina,serif'                             =>   'Rufina'                   ,
		 'Scada,sans-serif'                         =>   'Scada'                    ,
		 'Slabo 13px,serif'                         =>   'Slabo 13px'               ,
		 'Special Elite,cursive'                    =>   'Special Elite'            ,
		 'Squada One,cursive'                       =>   'Squada One'               ,
		 'Syncopate,sans-serif'                     =>   'Syncopate'                ,
		 'Tauri,sans-serif'                         =>   'Tauri'                    ,
		 'Tulpen One,cursive'                       =>   'Tulpen One'               ,
		 'Ubuntu Mono,monospace'                    =>   'Ubuntu Mono'              ,
		 'Unica One,cursive'                        =>   'Unica One'                ,
		 'VT323,monospace'                          =>   'VT323'                    ,
		 'Viga,sans-serif'                          =>   'Viga'                     ,
		 'Walter Turncoat,cursive'                  =>   'Walter Turncoat'          ,
		 'Yesteryear,cursive'                       =>   'Yesteryear'               ,
		 'Aclonica,sans-serif'                      =>   'Aclonica'                 ,
		 'Alegreya SC,serif'                        =>   'Alegreya SC'              ,
		 'Andika,sans-serif'                        =>   'Andika'                   ,
		 'Annie Use Your Telescope,cursive'         =>   'Annie Use Your Telescope' ,
		 'Anonymous Pro,monospace'                  =>   'Anonymous Pro'            ,
		 'Arbutus Slab,serif'                       =>   'Arbutus Slab'             ,
		 'Arsenal,sans-serif'                       =>   'Arsenal'                  ,
		 'Average Sans,sans-serif'                  =>   'Average Sans'             ,
		 'Baloo Paaji,cursive'                      =>   'Baloo Paaji'              ,
		 'Belleza,sans-serif'                       =>   'Belleza'                  ,
		 'Berkshire Swash,cursive'                  =>   'Berkshire Swash'          ,
		 'Black Ops One,cursive'                    =>   'Black Ops One'            ,
		 'Bowlby One,cursive'                       =>   'Bowlby One'               ,
		 'Bungee Outline,cursive'                   =>   'Bungee Outline'           ,
		 'Cambay,sans-serif'                        =>   'Cambay'                   ,
		 'Cambo,serif'                              =>   'Cambo'                    ,
		 'Capriola,sans-serif'                      =>   'Capriola'                 ,
		 'Carrois Gothic,sans-serif'                =>   'Carrois Gothic'           ,
		 'Carter One,cursive'                       =>   'Carter One'               ,
		 'Caudex,serif'                             =>   'Caudex'                   ,
		 'Caveat Brush,cursive'                     =>   'Caveat Brush'             ,
		 'Cinzel Decorative,cursive'                =>   'Cinzel Decorative'        ,
		 'Cousine,monospace'                        =>   'Cousine'                  ,
		 'Coustard,serif'                           =>   'Coustard'                 ,
		 'Crafty Girls,cursive'                     =>   'Crafty Girls'             ,
		 'Cutive,serif'                             =>   'Cutive'                   ,
		 'Cutive Mono,monospace'                    =>   'Cutive Mono'              ,
		 'Doppio One,sans-serif'                    =>   'Doppio One'               ,
		 'Eczar,serif'                              =>   'Eczar'                    ,
		 'Fanwood Text,serif'                       =>   'Fanwood Text'             ,
		 'Fira Sans Condensed,sans-serif'           =>   'Fira Sans Condensed'      ,
		 'Fira Sans Extra Condensed,sans-serif'     =>   'Fira Sans Extra Condensed',
		 'Fontdiner Swanky,cursive'                 =>   'Fontdiner Swanky'         ,
		 'Fredericka the Great,cursive'             =>   'Fredericka the Great'     ,
		 'Frijole,cursive'                          =>   'Frijole'                  ,
		 'GFS Didot,serif'                          =>   'GFS Didot'                ,
		 'Give You Glory,cursive'                   =>   'Give You Glory'           ,
		 'Goudy Bookletter 1911,serif'              =>   'Goudy Bookletter 1911'    ,
		 'Grand Hotel,cursive'                      =>   'Grand Hotel'              ,
		 'Hanuman,serif'                            =>   'Hanuman'                  ,
		 'Happy Monkey,cursive'                     =>   'Happy Monkey'             ,
		 'Hind Guntur,sans-serif'                   =>   'Hind Guntur'              ,
		 'IM Fell Double Pica,serif'                =>   'IM Fell Double Pica'      ,
		 'Italianno,cursive'                        =>   'Italianno'                ,
		 'Itim,cursive'                             =>   'Itim'                     ,
		 'Jockey One,sans-serif'                    =>   'Jockey One'               ,
		 'Karma,serif'                              =>   'Karma'                    ,
		 'Kelly Slab,cursive'                       =>   'Kelly Slab'               ,
		 'Lalezar,cursive'                          =>   'Lalezar'                  ,
		 'Lateef,cursive'                           =>   'Lateef'                   ,
		 'Leckerli One,cursive'                     =>   'Leckerli One'             ,
		 'Mallanna,sans-serif'                      =>   'Mallanna'                 ,
		 'Marmelad,sans-serif'                      =>   'Marmelad'                 ,
		 'Martel Sans,sans-serif'                   =>   'Martel Sans'              ,
		 'Marvel,sans-serif'                        =>   'Marvel'                   ,
		 'Merienda One,cursive'                     =>   'Merienda One'             ,
		 'Metrophobic,sans-serif'                   =>   'Metrophobic'              ,
		 'Mr Dafoe,cursive'                         =>   'Mr Dafoe'                 ,
		 'Oranienbaum,serif'                        =>   'Oranienbaum'              ,
		 'Oregano,cursive'                          =>   'Oregano'                  ,
		 'Ovo,serif'                                =>   'Ovo'                      ,
		 'Pangolin,cursive'                         =>   'Pangolin'                 ,
		 'Port Lligat Slab,serif'                   =>   'Port Lligat Slab'         ,
		 'Prosto One,cursive'                       =>   'Prosto One'               ,
		 'Puritan,sans-serif'                       =>   'Puritan'                  ,
		 'Quando,serif'                             =>   'Quando'                   ,
		 'Racing Sans One,cursive'                  =>   'Racing Sans One'          ,
		 'Radley,serif'                             =>   'Radley'                   ,
		 'Rosario,sans-serif'                       =>   'Rosario'                  ,
		 'Ruslan Display,cursive'                   =>   'Ruslan Display'           ,
		 'Schoolbell,cursive'                       =>   'Schoolbell'               ,
		 'Six Caps,sans-serif'                      =>   'Six Caps'                 ,
		 'Space Mono,monospace'                     =>   'Space Mono'               ,
		 'Spinnaker,sans-serif'                     =>   'Spinnaker'                ,
		 'Sue Ellen Francisco,cursive'              =>   'Sue Ellen Francisco'      ,
		 'Taviraj,serif'                            =>   'Taviraj'                  ,
		 'Telex,sans-serif'                         =>   'Telex'                    ,
		 'The Girl Next Door,cursive'               =>   'The Girl Next Door'       ,
		 'Trirong,serif'                            =>   'Trirong'                  ,
		 'Voltaire,sans-serif'                      =>   'Voltaire'                 ,
		 'Wire One,sans-serif'                      =>   'Wire One'                 ,
		 'Zeyada,cursive'                           =>   'Zeyada'                   ,
		 'Gilda Display,serif'                      =>   'Gilda Display'            ,
		 'Slackey,cursive'                          =>   'Slackey'                  ,
		 'Chelsea Market,cursive'                   =>   'Chelsea Market'           ,
		 'Rammetto One,cursive'                     =>   'Rammetto One'             ,
		 'Oxygen Mono,monospace'                    =>   'Oxygen Mono'              ,
		 'Proza Libre,sans-serif'                   =>   'Proza Libre'              ,
		 'Lilita One,cursive'                       =>   'Lilita One'               ,
		 'Tienne,serif'                             =>   'Tienne'                   ,
		 'Inder,sans-serif'                         =>   'Inder'                    ,
		 'Anaheim,sans-serif'                       =>   'Anaheim'                  ,
		 'Pompiere,cursive'                         =>   'Pompiere'                 ,
		 'Gruppo,cursive'                           =>   'Gruppo'                   ,
		 'Tenor Sans,sans-serif'                    =>   'Tenor Sans'               ,
		 'Andada,serif'                             =>   'Andada'                   ,
		 'Oleo Script Swash Caps,cursive'           =>   'Oleo Script Swash Caps'   ,
		 'Mr De Haviland,cursive'                   =>   'Mr De Haviland'           ,
		 'Katibeh,cursive'                          =>   'Katibeh'                  ,
		 'Mouse Memoirs,sans-serif'                 =>   'Mouse Memoirs'            ,
		 'Kranky,cursive'                           =>   'Kranky'                   ,
		 'Holtwood One SC,serif'                    =>   'Holtwood One SC'          ,
		 'Baumans,cursive'                          =>   'Baumans'                  ,
		 'Mako,sans-serif'                          =>   'Mako'                     ,
		 'IM Fell English,serif'                    =>   'IM Fell English'          ,
		 'Delius,cursive'                           =>   'Delius'                   ,
		 'Bungee Inline,cursive'                    =>   'Bungee Inline'            ,
		 'Averia Sans Libre,cursive'                =>   'Averia Sans Libre'        ,
		 'Ranga,cursive'                            =>   'Ranga'                    ,
		 'Lekton,sans-serif'                        =>   'Lekton'                   ,
		 'Reem Kufi,sans-serif'                     =>   'Reem Kufi'                ,
		 'Londrina Solid,cursive'                   =>   'Londrina Solid'           ,
		 'Share Tech Mono,monospace'                =>   'Share Tech Mono'          ,
		 'Yeseva One,cursive'                       =>   'Yeseva One'               ,
		 'Scheherazade,serif'                       =>   'Scheherazade'             ,
		 'Averia Serif Libre,cursive'               =>   'Averia Serif Libre'       ,
		 'Duru Sans,sans-serif'                     =>   'Duru Sans'                ,
		 'Mate,serif'                               =>   'Mate'                     ,
		 'Abhaya Libre,serif'                       =>   'Abhaya Libre'             ,
		 'Trocchi,serif'                            =>   'Trocchi'                  ,
		 'Allan,cursive'                            =>   'Allan'                    ,
		 'Herr Von Muellerhoff,cursive'             =>   'Herr Von Muellerhoff'     ,
		 'IM Fell English SC,serif'                 =>   'IM Fell English SC'       ,
		 'Alike,serif'                              =>   'Alike'                    ,
		 'Unkempt,cursive'                          =>   'Unkempt'                  ,
		 'Gravitas One,cursive'                     =>   'Gravitas One'             ,
		 'Short Stack,cursive'                      =>   'Short Stack'              ,
		 'Montez,cursive'                           =>   'Montez'                   ,
		 'Pridi,serif'                              =>   'Pridi'                    ,
		 'Lily Script One,cursive'                  =>   'Lily Script One'          ,
		 'Orienta,sans-serif'                       =>   'Orienta'                  ,
		 'Just Me Again Down Here,cursive'          =>   'Just Me Again Down Here'  ,
		 'Arizonia,cursive'                         =>   'Arizonia'                 ,
		 'Fenix,serif'                              =>   'Fenix'                    ,
		 'Carrois Gothic SC,sans-serif'             =>   'Carrois Gothic SC'        ,
		 'Prociono,serif'                           =>   'Prociono'                 ,
		 'Brawler,serif'                            =>   'Brawler'                  ,
		 'Megrim,cursive'                           =>   'Megrim'                   ,
		 'Judson,serif'                             =>   'Judson'                   ,
		 'Nova Square,cursive'                      =>   'Nova Square'              ,
		 'Cormorant,serif'                          =>   'Cormorant'                ,
		 'La Belle Aurore,cursive'                  =>   'La Belle Aurore'          ,
		 'UnifrakturMaguntia,cursive'               =>   'UnifrakturMaguntia'       ,
		 'Biryani,sans-serif'                       =>   'Biryani'                  ,
		 'Corben,cursive'                           =>   'Corben'                   ,
		 'Vast Shadow,cursive'                      =>   'Vast Shadow'              ,
		 'Strait,sans-serif'                        =>   'Strait'                   ,
		 'Seaweed Script,cursive'                   =>   'Seaweed Script'           ,
		 'Kristi,cursive'                           =>   'Kristi'                   ,
		 'Poly,serif'                               =>   'Poly'                     ,
		 'Gafata,sans-serif'                        =>   'Gafata'                   ,
		 'Yrsa,serif'                               =>   'Yrsa'                     ,
		 'Sansita,sans-serif'                       =>   'Sansita'                  ,
		 'Cedarville Cursive,cursive'               =>   'Cedarville Cursive'       ,
		 'Qwigley,cursive'                          =>   'Qwigley'                  ,
		 'Bentham,serif'                            =>   'Bentham'                  ,
		 'Norican,cursive'                          =>   'Norican'                  ,
		 'Knewave,cursive'                          =>   'Knewave'                  ,
		 'Belgrano,serif'                           =>   'Belgrano'                 ,
		 'IM Fell DW Pica,serif'                    =>   'IM Fell DW Pica'          ,
		 'Lemon,cursive'                            =>   'Lemon'                    ,
		 'Chau Philomene One,sans-serif'            =>   'Chau Philomene One'       ,
		 'Bowlby One SC,cursive'                    =>   'Bowlby One SC'            ,
		 'Gabriela,serif'                           =>   'Gabriela'                 ,
		 'Sniglet,cursive'                          =>   'Sniglet'                  ,
		 'Amiko,sans-serif'                         =>   'Amiko'                    ,
		 'Poller One,cursive'                       =>   'Poller One'               ,
		 'Amethysta,serif'                          =>   'Amethysta'                ,
		 'Stardos Stencil,cursive'                  =>   'Stardos Stencil'          ,
		 'Waiting for the Sunrise,cursive'          =>   'Waiting for the Sunrise'  ,
		 'Fondamento,cursive'                       =>   'Fondamento'               ,
		 'Voces,cursive'                            =>   'Voces'                    ,
		 'Unna,serif'                               =>   'Unna'                     ,
		 'Skranji,cursive'                          =>   'Skranji'                  ,
		 'Overpass Mono,monospace'                  =>   'Overpass Mono'            ,
		 'Mitr,sans-serif'                          =>   'Mitr'                     ,
		 'Rouge Script,cursive'                     =>   'Rouge Script'             ,
		 'Ledger,serif'                             =>   'Ledger'                   ,
		 'Cherry Swash,cursive'                     =>   'Cherry Swash'             ,
		 'Miriam Libre,sans-serif'                  =>   'Miriam Libre'             ,
		 'Sofia,cursive'                            =>   'Sofia'                    ,
		 'Engagement,cursive'                       =>   'Engagement'               ,
		 'Iceland,cursive'                          =>   'Iceland'                  ,
		 'Buenard,serif'                            =>   'Buenard'                  ,
		 'Fira Mono,monospace'                      =>   'Fira Mono'                ,
		 'Headland One,serif'                       =>   'Headland One'             ,
		 'Barrio,cursive'                           =>   'Barrio'                   ,
		 'Bahiana,cursive'                          =>   'Bahiana'                  ,
		 'Odor Mean Chey,cursive'                   =>   'Odor Mean Chey'           ,
		 'Imprima,sans-serif'                       =>   'Imprima'                  ,
		 'Euphoria Script,cursive'                  =>   'Euphoria Script'          ,
		 'Federo,sans-serif'                        =>   'Federo'                   ,
		 'Raleway Dots,cursive'                     =>   'Raleway Dots'             ,
		 'Loved by the King,cursive'                =>   'Loved by the King'        ,
		 'Life Savers,cursive'                      =>   'Life Savers'              ,
		 'Mountains of Christmas,cursive'           =>   'Mountains of Christmas'   ,
		 'Titan One,cursive'                        =>   'Titan One'                ,
		 'Vesper Libre,serif'                       =>   'Vesper Libre'             ,
		 'Sumana,serif'                             =>   'Sumana'                   ,
		 'Kotta One,serif'                          =>   'Kotta One'                ,
		 'Shojumaru,cursive'                        =>   'Shojumaru'                ,
		 'Stalemate,cursive'                        =>   'Stalemate'                ,
		 'Salsa,cursive'                            =>   'Salsa'                    ,
		 'Wendy One,sans-serif'                     =>   'Wendy One'                ,
		 'Podkova,serif'                            =>   'Podkova'                  ,
		 'Finger Paint,cursive'                     =>   'Finger Paint'             ,
		 'Expletus Sans,cursive'                    =>   'Expletus Sans'            ,
		 'Rationale,sans-serif'                     =>   'Rationale'                ,
		 'Kadwa,serif'                              =>   'Kadwa'                    ,
		 'Suranna,serif'                            =>   'Suranna'                  ,
		 'Meddon,cursive'                           =>   'Meddon'                   ,
		 'Coiny,cursive'                            =>   'Coiny'                    ,
		 'Macondo,cursive'                          =>   'Macondo'                  ,
		 'Over the Rainbow,cursive'                 =>   'Over the Rainbow'         ,
		 'Dawning of a New Day,cursive'             =>   'Dawning of a New Day'     ,
		 'Delius Unicase,cursive'                   =>   'Delius Unicase'           ,
		 'New Rocker,cursive'                       =>   'New Rocker'               ,
		 'Bilbo Swash Caps,cursive'                 =>   'Bilbo Swash Caps'         ,
		 'David Libre,serif'                        =>   'David Libre'              ,
		 'Kurale,serif'                             =>   'Kurale'                   ,
		 'Shanti,sans-serif'                        =>   'Shanti'                   ,
		 'Simonetta,cursive'                        =>   'Simonetta'                ,
		 'Delius Swash Caps,cursive'                =>   'Delius Swash Caps'        ,
		 'Aguafina Script,cursive'                  =>   'Aguafina Script'          ,
		 'Padauk,sans-serif'                        =>   'Padauk'                   ,
		 'Italiana,serif'                           =>   'Italiana'                 ,
		 'Nova Mono,monospace'                      =>   'Nova Mono'                ,
		 'Codystar,cursive'                         =>   'Codystar'                 ,
		 'Medula One,cursive'                       =>   'Medula One'               ,
		 'Geo,sans-serif'                           =>   'Geo'                      ,
		 'Baloo Tamma,cursive'                      =>   'Baloo Tamma'              ,
		 'Ruluko,sans-serif'                        =>   'Ruluko'                   ,
		 'Flamenco,cursive'                         =>   'Flamenco'                 ,
		 'Aref Ruqaa,serif'                         =>   'Aref Ruqaa'               ,
		 'Khmer,cursive'                            =>   'Khmer'                    ,
		 'Ramabhadra,sans-serif'                    =>   'Ramabhadra'               ,
		 'Chonburi,cursive'                         =>   'Chonburi'                 ,
		 'Montserrat Subrayada,sans-serif'          =>   'Montserrat Subrayada'     ,
		 'Rye,cursive'                              =>   'Rye'                      ,
		 'Metamorphous,cursive'                     =>   'Metamorphous'             ,
		 'Mandali,sans-serif'                       =>   'Mandali'                  ,
		 'Gurajada,serif'                           =>   'Gurajada'                 ,
		 'Habibi,serif'                             =>   'Habibi'                   ,
		 'NTR,sans-serif'                           =>   'NTR'                      ,
		 'Suez One,serif'                           =>   'Suez One'                 ,
		 'Rasa,serif'                               =>   'Rasa'                     ,
		 'Tillana,cursive'                          =>   'Tillana'                  ,
		 'Balthazar,serif'                          =>   'Balthazar'                ,
		 'Creepster,cursive'                        =>   'Creepster'                ,
		 'Faster One,cursive'                       =>   'Faster One'               ,
		 'Dorsa,sans-serif'                         =>   'Dorsa'                    ,
		 'Rosarivo,serif'                           =>   'Rosarivo'                 ,
		 'Quintessential,cursive'                   =>   'Quintessential'           ,
		 'Bungee,cursive'                           =>   'Bungee'                   ,
		 'Maitree,serif'                            =>   'Maitree'                  ,
		 'Fjord One,serif'                          =>   'Fjord One'                ,
		 'BioRhyme,serif'                           =>   'BioRhyme'                 ,
		 'Farsan,cursive'                           =>   'Farsan'                   ,
		 'Amatica SC,cursive'                       =>   'Amatica SC'               ,
		 'Sail,cursive'                             =>   'Sail'                     ,
		 'Stint Ultra Expanded,cursive'             =>   'Stint Ultra Expanded'     ,
		 'Donegal One,serif'                        =>   'Donegal One'              ,
		 'Englebert,sans-serif'                     =>   'Englebert'                ,
		 'Condiment,cursive'                        =>   'Condiment'                ,
		 'League Script,cursive'                    =>   'League Script'            ,
		 'Bungee Shade,cursive'                     =>   'Bungee Shade'             ,
		 'Yatra One,cursive'                        =>   'Yatra One'                ,
		 'Rakkas,cursive'                           =>   'Rakkas'                   ,
		 'Vampiro One,cursive'                      =>   'Vampiro One'              ,
		 'Kite One,sans-serif'                      =>   'Kite One'                 ,
		 'Harmattan,sans-serif'                     =>   'Harmattan'                ,
		 'Wallpoet,cursive'                         =>   'Wallpoet'                 ,
		 'Cantora One,sans-serif'                   =>   'Cantora One'              ,
		 'Secular One,sans-serif'                   =>   'Secular One'              ,
		 'Pavanam,sans-serif'                       =>   'Pavanam'                  ,
		 'Mystery Quest,cursive'                    =>   'Mystery Quest'            ,
		 'Sunshiney,cursive'                        =>   'Sunshiney'                ,
		 'Kavoon,cursive'                           =>   'Kavoon'                   ,
		 'Scope One,serif'                          =>   'Scope One'                ,
		 'Ewert,cursive'                            =>   'Ewert'                    ,
		 'Fruktur,cursive'                          =>   'Fruktur'                  ,
		 'Milonga,cursive'                          =>   'Milonga'                  ,
		 'Athiti,sans-serif'                        =>   'Athiti'                   ,
		 'Mate SC,serif'                            =>   'Mate SC'                  ,
		 'IM Fell Great Primer SC,serif'            =>   'IM Fell Great Primer SC'  ,
		 'Asul,sans-serif'                          =>   'Asul'                     ,
		 'Chicle,cursive'                           =>   'Chicle'                   ,
		 'Esteban,serif'                            =>   'Esteban'                  ,
		 'Dynalight,cursive'                        =>   'Dynalight'                ,
		 'Ravi Prakash,cursive'                     =>   'Ravi Prakash'             ,
		 'Krona One,sans-serif'                     =>   'Krona One'                ,
		 'Alike Angular,serif'                      =>   'Alike Angular'            ,
		 'Maiden Orange,cursive'                    =>   'Maiden Orange'            ,
		 'Amarante,cursive'                         =>   'Amarante'                 ,
		 'Almendra,serif'                           =>   'Almendra'                 ,
		 'Numans,sans-serif'                        =>   'Numans'                   ,
		 'Battambang,cursive'                       =>   'Battambang'               ,
		 'McLaren,cursive'                          =>   'McLaren'                  ,
		 'IM Fell French Canon,serif'               =>   'IM Fell French Canon'     ,
		 'Rubik Mono One,sans-serif'                =>   'Rubik Mono One'           ,
		 'Share Tech,sans-serif'                    =>   'Share Tech'               ,
		 'Coda Caption,sans-serif'                  =>   'Coda Caption'             ,
		 'Averia Libre,cursive'                     =>   'Averia Libre'             ,
		 'Spirax,cursive'                           =>   'Spirax'                   ,
		 'Diplomata,cursive'                        =>   'Diplomata'                ,
		 'Elsie,cursive'                            =>   'Elsie'                    ,
		 'Inika,serif'                              =>   'Inika'                    ,
		 'Glass Antiqua,cursive'                    =>   'Glass Antiqua'            ,
		 'Mada,sans-serif'                          =>   'Mada'                     ,
		 'Overlock SC,cursive'                      =>   'Overlock SC'              ,
		 'Stoke,serif'                              =>   'Stoke'                    ,
		 'IM Fell DW Pica SC,serif'                 =>   'IM Fell DW Pica SC'       ,
		 'Text Me One,sans-serif'                   =>   'Text Me One'              ,
		 'Pirata One,cursive'                       =>   'Pirata One'               ,
		 'Mukta Vaani,sans-serif'                   =>   'Mukta Vaani'              ,
		 'Junge,serif'                              =>   'Junge'                    ,
		 'Eagle Lake,cursive'                       =>   'Eagle Lake'               ,
		 'Denk One,sans-serif'                      =>   'Denk One'                 ,
		 'Rozha One,serif'                          =>   'Rozha One'                ,
		 'Paprika,cursive'                          =>   'Paprika'                  ,
		 'Offside,cursive'                          =>   'Offside'                  ,
		 'Ribeye,cursive'                           =>   'Ribeye'                   ,
		 'UnifrakturCook,cursive'                   =>   'UnifrakturCook'           ,
		 'Sancreek,cursive'                         =>   'Sancreek'                 ,
		 'Fresca,sans-serif'                        =>   'Fresca'                   ,
		 'Buda,cursive'                             =>   'Buda'                     ,
		 'Miniver,cursive'                          =>   'Miniver'                  ,
		 'Hind Madurai,sans-serif'                  =>   'Hind Madurai'             ,
		 'Bigshot One,cursive'                      =>   'Bigshot One'              ,
		 'Sarina,cursive'                           =>   'Sarina'                   ,
		 'Baloo Chettan,cursive'                    =>   'Baloo Chettan'            ,
		 'Stint Ultra Condensed,cursive'            =>   'Stint Ultra Condensed'    ,
		 'Monsieur La Doulaise,cursive'             =>   'Monsieur La Doulaise'     ,
		 'Cagliostro,sans-serif'                    =>   'Cagliostro'               ,
		 'Sonsie One,cursive'                       =>   'Sonsie One'               ,
		 'Antic Didone,serif'                       =>   'Antic Didone'             ,
		 'IM Fell Great Primer,serif'               =>   'IM Fell Great Primer'     ,
		 'Mrs Saint Delafield,cursive'              =>   'Mrs Saint Delafield'      ,
		 'Koulen,cursive'                           =>   'Koulen'                   ,
		 'IM Fell Double Pica SC,serif'             =>   'IM Fell Double Pica SC'   ,
		 'Croissant One,cursive'                    =>   'Croissant One'            ,
		 'Nokora,serif'                             =>   'Nokora'                   ,
		 'Nova Round,cursive'                       =>   'Nova Round'               ,
		 'Trade Winds,cursive'                      =>   'Trade Winds'              ,
		 'Joti One,cursive'                         =>   'Joti One'                 ,
		 'Laila,serif'                              =>   'Laila'                    ,
		 'Pattaya,sans-serif'                       =>   'Pattaya'                  ,
		 'Linden Hill,serif'                        =>   'Linden Hill'              ,
		 'Sriracha,cursive'                         =>   'Sriracha'                 ,
		 'Emilys Candy,cursive'                     =>   'Emilys Candy'             ,
		 'Jolly Lodger,cursive'                     =>   'Jolly Lodger'             ,
		 'Dekko,cursive'                            =>   'Dekko'                    ,
		 'IM Fell French Canon SC,serif'            =>   'IM Fell French Canon SC'  ,
		 'Monofett,cursive'                         =>   'Monofett'                 ,
		 'Swanky and Moo Moo,cursive'               =>   'Swanky and Moo Moo'       ,
		 'MedievalSharp,cursive'                    =>   'MedievalSharp'            ,
		 'Nosifer,cursive'                          =>   'Nosifer'                  ,
		 'Ruthie,cursive'                           =>   'Ruthie'                   ,
		 'Arya,sans-serif'                          =>   'Arya'                     ,
		 'Meie Script,cursive'                      =>   'Meie Script'              ,
		 'Port Lligat Sans,sans-serif'              =>   'Port Lligat Sans'         ,
		 'Rhodium Libre,serif'                      =>   'Rhodium Libre'            ,
		 'Della Respira,serif'                      =>   'Della Respira'            ,
		 'Peralta,cursive'                          =>   'Peralta'                  ,
		 'Cormorant Infant,serif'                   =>   'Cormorant Infant'         ,
		 'Nova Slim,cursive'                        =>   'Nova Slim'                ,
		 'Angkor,cursive'                           =>   'Angkor'                   ,
		 'Henny Penny,cursive'                      =>   'Henny Penny'              ,
		 'Galdeano,sans-serif'                      =>   'Galdeano'                 ,
		 'Akronim,cursive'                          =>   'Akronim'                  ,
		 'Londrina Outline,cursive'                 =>   'Londrina Outline'         ,
		 'Montaga,serif'                            =>   'Montaga'                  ,
		 'Bilbo,cursive'                            =>   'Bilbo'                    ,
		 'Trykker,serif'                            =>   'Trykker'                  ,
		 'Petrona,serif'                            =>   'Petrona'                  ,
		 'Spicy Rice,cursive'                       =>   'Spicy Rice'               ,
		 'Mirza,cursive'                            =>   'Mirza'                    ,
		 'Iceberg,cursive'                          =>   'Iceberg'                  ,
		 'Julee,cursive'                            =>   'Julee'                    ,
		 'Baloo Thambi,cursive'                     =>   'Baloo Thambi'             ,
		 'Cormorant SC,serif'                       =>   'Cormorant SC'             ,
		 'Cormorant Unicase,serif'                  =>   'Cormorant Unicase'        ,
		 'Sarpanch,sans-serif'                      =>   'Sarpanch'                 ,
		 'Galindo,cursive'                          =>   'Galindo'                  ,
		 'Bokor,cursive'                            =>   'Bokor'                    ,
		 'Wellfleet,cursive'                        =>   'Wellfleet'                ,
		 'Griffy,cursive'                           =>   'Griffy'                   ,
		 'Redressed,cursive'                        =>   'Redressed'                ,
		 'Autour One,cursive'                       =>   'Autour One'               ,
		 'Sura,serif'                               =>   'Sura'                     ,
		 'Lovers Quarrel,cursive'                   =>   'Lovers Quarrel'           ,
		 'GFS Neohellenic,sans-serif'               =>   'GFS Neohellenic'          ,
		 'Lemonada,cursive'                         =>   'Lemonada'                 ,
		 'Nova Oval,cursive'                        =>   'Nova Oval'                ,
		 'Uncial Antiqua,cursive'                   =>   'Uncial Antiqua'           ,
		 'Ranchers,cursive'                         =>   'Ranchers'                 ,
		 'Cormorant Upright,serif'                  =>   'Cormorant Upright'        ,
		 'Atma,cursive'                             =>   'Atma'                     ,
		 'Modern Antiqua,cursive'                   =>   'Modern Antiqua'           ,
		 'Sahitya,serif'                            =>   'Sahitya'                  ,
		 'Piedra,cursive'                           =>   'Piedra'                   ,
		 'Irish Grover,cursive'                     =>   'Irish Grover'             ,
		 'Mrs Sheppards,cursive'                    =>   'Mrs Sheppards'            ,
		 'Snippet,sans-serif'                       =>   'Snippet'                  ,
		 'Dr Sugiyama,cursive'                      =>   'Dr Sugiyama'              ,
		 'Baloo Bhai,cursive'                       =>   'Baloo Bhai'               ,
		 'Chathura,sans-serif'                      =>   'Chathura'                 ,
		 'Baloo Da,cursive'                         =>   'Baloo Da'                 ,
		 'BioRhyme Expanded,serif'                  =>   'BioRhyme Expanded'        ,
		 'Oldenburg,cursive'                        =>   'Oldenburg'                ,
		 'Nova Flat,cursive'                        =>   'Nova Flat'                ,
		 'Purple Purse,cursive'                     =>   'Purple Purse'             ,
		 'Keania One,cursive'                       =>   'Keania One'               ,
		 'Kumar One,cursive'                        =>   'Kumar One'                ,
		 'Jomhuria,cursive'                         =>   'Jomhuria'                 ,
		 'Bungee Hairline,cursive'                  =>   'Bungee Hairline'          ,
		 'Kumar One Outline,cursive'                =>   'Kumar One Outline'        ,
		 'Caesar Dressing,cursive'                  =>   'Caesar Dressing'          ,
		 'Germania One,cursive'                     =>   'Germania One'             ,
		 'Original Surfer,cursive'                  =>   'Original Surfer'          ,
		 'Kenia,cursive'                            =>   'Kenia'                    ,
		 'Lancelot,cursive'                         =>   'Lancelot'                 ,
		 'Ramaraja,serif'                           =>   'Ramaraja'                 ,
		 'Rum Raisin,sans-serif'                    =>   'Rum Raisin'               ,
		 'Snowburst One,cursive'                    =>   'Snowburst One'            ,
		 'Miltonian Tattoo,cursive'                 =>   'Miltonian Tattoo'         ,
		 'Astloch,cursive'                          =>   'Astloch'                  ,
		 'Macondo Swash Caps,cursive'               =>   'Macondo Swash Caps'       ,
		 'Asset,cursive'                            =>   'Asset'                    ,
		 'Almendra SC,serif'                        =>   'Almendra SC'              ,
		 'Ribeye Marrow,cursive'                    =>   'Ribeye Marrow'            ,
		 'Jim Nightshade,cursive'                   =>   'Jim Nightshade'           ,
		 'Passero One,cursive'                      =>   'Passero One'              ,
		 'Amita,cursive'                            =>   'Amita'                    ,
		 'Averia Gruesa Libre,cursive'              =>   'Averia Gruesa Libre'      ,
		 'Meera Inimai,sans-serif'                  =>   'Meera Inimai'             ,
		 'Fascinate,cursive'                        =>   'Fascinate'                ,
		 'Suwannaphum,cursive'                      =>   'Suwannaphum'              ,
		 'Molle,cursive'                            =>   'Molle'                    ,
		 'Chango,cursive'                           =>   'Chango'                   ,
		 'Kavivanar,cursive'                        =>   'Kavivanar'                ,
		 'Arbutus,cursive'                          =>   'Arbutus'                  ,
		 'Warnes,cursive'                           =>   'Warnes'                   ,
		 'Smythe,cursive'                           =>   'Smythe'                   ,
		 'Jacques Francois Shadow,cursive'          =>   'Jacques Francois Shadow'  ,
		 'Bayon,cursive'                            =>   'Bayon'                    ,
		 'Atomic Age,cursive'                       =>   'Atomic Age'               ,
		 'Diplomata SC,cursive'                     =>   'Diplomata SC'             ,
		 'Galada,cursive'                           =>   'Galada'                   ,
		 'Jacques Francois,serif'                   =>   'Jacques Francois'         ,
		 'Content,cursive'                          =>   'Content'                  ,
		 'Gorditas,cursive'                         =>   'Gorditas'                 ,
		 'Inknut Antiqua,serif'                     =>   'Inknut Antiqua'           ,
		 'Elsie Swash Caps,cursive'                 =>   'Elsie Swash Caps'         ,
		 'Underdog,cursive'                         =>   'Underdog'                 ,
		 'Seymour One,sans-serif'                   =>   'Seymour One'              ,
		 'Miss Fajardose,cursive'                   =>   'Miss Fajardose'           ,
		 'Stalinist One,cursive'                    =>   'Stalinist One'            ,
		 'Trochut,cursive'                          =>   'Trochut'                  ,
		 'Romanesco,cursive'                        =>   'Romanesco'                ,
		 'Nova Script,cursive'                      =>   'Nova Script'              ,
		 'Plaster,cursive'                          =>   'Plaster'                  ,
		 'Miltonian,cursive'                        =>   'Miltonian'                ,
		 'Margarine,cursive'                        =>   'Margarine'                ,
		 'Goblin One,cursive'                       =>   'Goblin One'               ,
		 'Princess Sofia,cursive'                   =>   'Princess Sofia'           ,
		 'Moul,cursive'                             =>   'Moul'                     ,
		 'Devonshire,cursive'                       =>   'Devonshire'               ,
		 'Geostar Fill,cursive'                     =>   'Geostar Fill'             ,
		 'Marko One,serif'                          =>   'Marko One'                ,
		 'Smokum,cursive'                           =>   'Smokum'                   ,
		 'Metal Mania,cursive'                      =>   'Metal Mania'              ,
		 'Londrina Sketch,cursive'                  =>   'Londrina Sketch'          ,
		 'Timmana,sans-serif'                       =>   'Timmana'                  ,
		 'Londrina Shadow,cursive'                  =>   'Londrina Shadow'          ,
		 'Freehand,cursive'                         =>   'Freehand'                 ,
		 'Siemreap,cursive'                         =>   'Siemreap'                 ,
		 'Unlock,cursive'                           =>   'Unlock'                   ,
		 'Felipa,cursive'                           =>   'Felipa'                   ,
		 'Fascinate Inline,cursive'                 =>   'Fascinate Inline'         ,
		 'Sree Krushnadevaraya,serif'               =>   'Sree Krushnadevaraya'     ,
		 'Metal,cursive'                            =>   'Metal'                    ,
		 'Nova Cut,cursive'                         =>   'Nova Cut'                 ,
		 'Lakki Reddy,cursive'                      =>   'Lakki Reddy'              ,
		 'Combo,cursive'                            =>   'Combo'                    ,
		 'Taprom,cursive'                           =>   'Taprom'                   ,
		 'Sevillana,cursive'                        =>   'Sevillana'                ,
		 'Geostar,cursive'                          =>   'Geostar'                  ,
		 'Flavors,cursive'                          =>   'Flavors'                  ,
		 'Sofadi One,cursive'                       =>   'Sofadi One'               ,
		 'Asar,serif'                               =>   'Asar'                     ,
		 'Butterfly Kids,cursive'                   =>   'Butterfly Kids'           ,
		 'Eater,cursive'                            =>   'Eater'                    ,
		 'Chela One,cursive'                        =>   'Chela One'                ,
		 'Bonbon,cursive'                           =>   'Bonbon'                   ,
		 'Sirin Stencil,cursive'                    =>   'Sirin Stencil'            ,
		 'Ruge Boogie,cursive'                      =>   'Ruge Boogie'              ,
		 'Risque,cursive'                           =>   'Risque'                   ,
		 'Bigelow Rules,cursive'      				=>   'Bigelow Rules'            ,
		 'Erica One,cursive'           				=>   'Erica One'                ,
		 'Dangrek,cursive'            				=>   'Dangrek'                  ,
		 'Aubrey,cursive'              				=>   'Aubrey'                   ,
		 'Almendra Display,cursive' 				=>   'Almendra Display'         ,
		 'Butcherman,cursive'          				=>   'Butcherman'               ,
		 'Tenali Ramakrishna,sans-serif'			=>   'Tenali Ramakrishna'       ,
		 'Federant,cursive'          				=>   'Federant'                 ,
		 'Supermercado One,cursive'  				=>   'Supermercado One'         ,
		 'Gidugu,sans-serif'         				=>   'Gidugu'                   ,
		 'Mr Bedfort,cursive'						=>   'Mr Bedfort'               ,
		 'Fasthand,serif' 							=>   'Fasthand'                 ,
		 'Chenla,cursive'							=>   'Chenla'                   ,
		 'Emblema One,cursive' 						=>   'Emblema One'              ,
		 'Preahvihear,cursive' 						=>   'Preahvihear'              ,
		 'Hanalei Fill,cursive' 					=>   'Hanalei Fill'             ,
		 'Kantumruy,sans-serif'						=>   'Kantumruy'                ,
		 'Hanalei,cursive'							=>   'Hanalei'                  ,
		 'Dhurjati,sans-serif'						=>   'Dhurjati'                 ,
		 'Moulpali,cursive'							=>   'Moulpali'                 ,
		 'Peddana,serif' 							=>   'Peddana'                  ,
		 'Suravaram,serif'							=>   'Suravaram'				,
		);
	}		
	
?>